- Qt 6.8
- Qt Widgets
- C++ Classes
- QGraphicsSceneResizeEvent
- Qt 6.8.1 Reference Documentation

# QGraphicsSceneResizeEvent Class

The QGraphicsSceneResizeEvent class provides events for widget resizing in the graphics view framework. More...

Header: | `#include <QGraphicsSceneResizeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QGraphicsSceneEvent

- List of all members, including inherited members

## Public Functions

| QGraphicsSceneResizeEvent()
virtual | ~QGraphicsSceneResizeEvent()
QSizeF | newSize() const
QSizeF | oldSize() const

## Detailed Description

A QGraphicsWidget sends itself a QGraphicsSceneResizeEvent immediately when its geometry changes.

It's similar to QResizeEvent, but its sizes, oldSize() and newSize(), use QSizeF instead of QSize.

See also QGraphicsWidget::setGeometry() and QGraphicsWidget::resize().

## Member Function Documentation

### QGraphicsSceneResizeEvent::QGraphicsSceneResizeEvent()

Constructs a QGraphicsSceneResizeEvent.

### `[virtual noexcept]` QGraphicsSceneResizeEvent::~QGraphicsSceneResizeEvent()

Destroys the QGraphicsSceneResizeEvent.

### QSizeF QGraphicsSceneResizeEvent::newSize() const

Returns the new size (i.e., the current size).

See also oldSize() and QGraphicsWidget::resize().

### QSizeF QGraphicsSceneResizeEvent::oldSize() const

Returns the old size (i.e., the size immediately before the widget was resized).

See also newSize() and QGraphicsWidget::resize().